Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036377
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2017-06-30 09:132017-09-21 16:49
ReporterngarciaView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revisiond951787ffbd6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036377: Cannot launch Valued Stock Report if the role does not have access to M_COSTING_RULE and M_TRANSACTION tables

DescriptionCannot launch Valued Stock Report if the role does not have access to M_COSTING_RULE and M_TRANSACTION tables
Steps To ReproduceAs group admin role:
   Create a new role
   Set it as Manual
   Add all organizations to it
   Add Valued Stock Report in Report and Process Access tab
   Assign it to Openbravo user

Log in with that role
   Try to launch the Valued Stock Report and check the following error is shown:
      Entity CostingRule is not readable by the user 100

As group admin role:
   Go to Role Access window and include M_COSTING_RULE table to the previously created role (Exclude = 'N')

Log in with that role again:
   Try to launch the Valued Stock Report and check the following error is shown:
      Entity MaterialMgmtMaterialTransaction is not readable by the user 100

As group admin role:
   Go to Role Access window and include M_TRANSACTION table to the previously created role (Exclude = 'N')

Log in with that role again:
   Check you could launch the Valued Stock Report
    
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0097786)
collazoandy4 (developer)
2017-06-30 19:09

Test Plan
  As group admin role:
   Go to Role window and create a new record:
     Name: Issue36377
     Manual: Y
     In Org Access tab add all organizations to it
     In Report and Process Access tab create a new record:
       Process: Valued Stock Report
     In User Assignment tab create a new record:
       User/Contact: Openbravo
   Log out and Log in with role Issue36377
   Try to launch the Valued Stock Report and check no error is shown
(0097825)
hgbot (developer)
2017-07-04 10:09

Repository: erp/devel/pi
Changeset: d951787ffbd6a62c83a504a08fd082b5aa52713a
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Fri Jun 30 17:07:40 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/d951787ffbd6a62c83a504a08fd082b5aa52713a [^]

Fixes issue 36377: Cannot launch Valued Stock Report

Cannot launch Valued Stock Report if the role does not have
access to M_COSTING_RULE and M_TRANSACTION tables.

The Report access to M_COSTING_RULE and M_TRANSACTION tables and if the user role
does not have access an exception is raise.

Now the context set the admin mode when the report try to access the tables and
restoring the previous mode when finish the access

---
M src/org/openbravo/erpCommon/ad_reports/ReportValuationStock.java
---
(0097826)
hgbot (developer)
2017-07-04 10:09

Repository: erp/devel/pi
Changeset: d960f963e0ff08d38f4d2813e7e79b1af7561758
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Jul 04 10:08:49 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d960f963e0ff08d38f4d2813e7e79b1af7561758 [^]

Related to issue 36377: Code review improvements

Set admin mode at the beginning of getLEsCostingAlgortithm() and hasTrxWithNoCost() methods.

---
M src/org/openbravo/erpCommon/ad_reports/ReportValuationStock.java
---
(0097827)
aferraz (developer)
2017-07-04 10:10

Code review + Testing OK
(0099229)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099230)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-06-30 09:13 ngarcia New Issue
2017-06-30 09:13 ngarcia Assigned To => Triage Finance
2017-06-30 09:13 ngarcia Modules => Core
2017-06-30 09:13 ngarcia Triggers an Emergency Pack => No
2017-06-30 13:21 vmromanos Status new => scheduled
2017-06-30 13:21 vmromanos Assigned To Triage Finance => collazoandy4
2017-06-30 19:09 collazoandy4 Note Added: 0097786
2017-07-04 10:09 hgbot Checkin
2017-07-04 10:09 hgbot Note Added: 0097825
2017-07-04 10:09 hgbot Status scheduled => resolved
2017-07-04 10:09 hgbot Resolution open => fixed
2017-07-04 10:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d951787ffbd6a62c83a504a08fd082b5aa52713a [^]
2017-07-04 10:09 hgbot Checkin
2017-07-04 10:09 hgbot Note Added: 0097826
2017-07-04 10:10 aferraz Review Assigned To => aferraz
2017-07-04 10:10 aferraz Note Added: 0097827
2017-07-04 10:10 aferraz Status resolved => closed
2017-07-04 10:10 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099229
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099230


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker